OpenTTD Source: DefaultSaveLoadHandler< TImpl, TObject > Class Template Reference

OpenTTD Source 14.0-RC3

Public Member Functions
DefaultSaveLoadHandler< TImpl, TObject > Class Template Reference

Default handler for saving/loading an object to/from disk. More...

`#include <saveload.h>`

Inheritance diagram for DefaultSaveLoadHandler< TImpl, TObject >:

## Public Member Functions
SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.
virtual void | Save ([[maybe_unused]] TObject *object) const
void | Save (void *object) const override
virtual void | Load ([[maybe_unused]] TObject *object) const
void | Load (void *object) const override
virtual void | LoadCheck ([[maybe_unused]] TObject *object) const
void | LoadCheck (void *object) const override
virtual void | FixPointers ([[maybe_unused]] TObject *object) const
void | FixPointers (void *object) const override
Public Member Functions inherited from SaveLoadHandler
virtual void | Save ([[maybe_unused]] void *object) const
| Save the object to disk. More...
virtual void | Load ([[maybe_unused]] void *object) const
| Load the object from disk. More...
virtual void | LoadCheck ([[maybe_unused]] void *object) const
| Similar to load, but used only to validate savegames. More...
virtual void | FixPointers ([[maybe_unused]] void *object) const
| A post-load callback to fix SL_REF integers into pointers. More...
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk. More...

## Additional Inherited Members
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description

## Detailed Description

### template<class TImpl, class TObject>
class DefaultSaveLoadHandler< TImpl, TObject >

Default handler for saving/loading an object to/from disk.

This handles a few common things for handlers, meaning the actual handler needs less code.

Usage: class SlMine : public DefaultSaveLoadHandler<SlMine, MyObject> {}

Template Parameters

  TImpl | The class initializing this template.
  TObject | The class of the object using this SaveLoadHandler.

Definition at line 563 of file saveload.h.

The documentation for this class was generated from the following file:

- src/saveload/saveload.h